List of all members
clan::ImageProviderType Class Referenceabstract
clanDisplay Image Providers

Provider type. More...

`#include <provider_type.h>`

Inheritance diagram for clan::ImageProviderType:

## Public Member Functions
Construction
| ImageProviderType (const std::string &type)
| Registers a provider type in the ImageProviderFactory. More...
virtual | ~ImageProviderType ()
| Unregisters a provider type in the ImageProviderFactory. More...
Operations
virtual PixelBuffer | load (const std::string &filename, const FileSystem &fs, bool srgb)=0
| Called to load an image with this provider type. More...
virtual PixelBuffer | load (IODevice &file, bool srgb)=0
virtual void | save (PixelBuffer buffer, const std::string &filename, FileSystem &fs)=0
| Called to save a given PixelBuffer to a file. More...
virtual void | save (PixelBuffer buffer, IODevice &file)=0

## Detailed Description

Provider type.

The documentation for this class was generated from the following file:

- provider_type.h